package jp.co.nikkeibp.android.DroidMove;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

public class DroidSurfaceView extends SurfaceView implements Runnable {
    private Thread thread = null;
    private int x = 0;
    private int y = 0;
    enum direction {NONE, UP, LEFT, RIGHT, DOWN};
    direction directionSts = direction.NONE;

    public DroidSurfaceView(Context context, AttributeSet attrs) {
		super(context, attrs);
        thread = new Thread(this);
        thread.start();
    }
    public void run() {
		Bitmap droidImage = BitmapFactory.decodeResource(getResources(), R.drawable.droid);
        while (true) {
            Canvas canvas = getHolder().lockCanvas();
            if (canvas != null) {
                canvas.drawColor(Color.WHITE);
        		canvas.drawBitmap(droidImage, x, y, new Paint());
                getHolder().unlockCanvasAndPost(canvas);
				switch(directionSts) {
                case UP:
                	y -= 1;
                	break;
                case LEFT:
                	x -= 1;
                	break;
                case RIGHT:
                	x += 1;
                	break;
                case DOWN:
                	y += 1;
                	break;
                }
            }
        }
    }
}
